Unverified Commit 85ccbd11 authored by dependabot[bot]'s avatar dependabot[bot] Committed by GitHub
Browse files

Bump thiserror from 1.0.22 to 1.0.23 (#2173)

Bumps [thiserror](https://github.com/dtolnay/thiserror) from 1.0.22 to 1.0.23.
- [Release notes](https://github.com/dtolnay/thiserror/releases)
- [Commits](https://github.com/dtolnay/thiserror/compare/1.0.22...1.0.23

)
Signed-off-by: default avatardependabot[bot] <support@github.com>
Co-authored-by: default avatardependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
parent 2495a6b0
Pipeline #118141 passed with stages
in 30 minutes and 49 seconds
......@@ -9146,18 +9146,18 @@ dependencies = [
[[package]]
name = "thiserror"
version = "1.0.22"
version = "1.0.23"
source = "registry+https://github.com/rust-lang/crates.io-index"
checksum = "0e9ae34b84616eedaaf1e9dd6026dbe00dcafa92aa0c8077cb69df1fcfe5e53e"
checksum = "76cc616c6abf8c8928e2fdcc0dbfab37175edd8fb49a4641066ad1364fdab146"
dependencies = [
"thiserror-impl",
]
[[package]]
name = "thiserror-impl"
version = "1.0.22"
version = "1.0.23"
source = "registry+https://github.com/rust-lang/crates.io-index"
checksum = "9ba20f23e85b10754cd195504aebf6a27e2e6cbe28c17778a0c930724628dd56"
checksum = "9be73a2caec27583d0046ef3796c3794f868a5bc813db689eed00c7631275cd1"
dependencies = [
"proc-macro2 1.0.24",
"quote 1.0.7",
......
......@@ -14,7 +14,7 @@ readme = "README.md"
[dependencies]
cli = { package = "polkadot-cli", path = "cli" }
color-eyre = "0.5.10"
thiserror = "1.0.22"
thiserror = "1.0.23"
futures = "0.3.8"
service = { package = "polkadot-service", path = "node/service" }
parity-util-mem = { version = "*", default-features = false, features = ["jemalloc-global"] }
......
......@@ -15,7 +15,7 @@ crate-type = ["cdylib", "rlib"]
[dependencies]
log = "0.4.11"
thiserror = "1.0.22"
thiserror = "1.0.23"
structopt = { version = "0.3.21", optional = true }
wasm-bindgen = { version = "0.2.69", optional = true }
wasm-bindgen-futures = { version = "0.4.19", optional = true }
......
......@@ -10,4 +10,4 @@ reed_solomon = { package = "reed-solomon-erasure", version = "4.0.2" }
parity-scale-codec = { version = "1.3.5", default-features = false, features = ["derive"] }
sp-core = { git = "https://github.com/paritytech/substrate", branch = "master" }
trie = { package = "sp-trie", git = "https://github.com/paritytech/substrate", branch = "master" }
thiserror = "1.0.22"
thiserror = "1.0.23"
......@@ -14,7 +14,7 @@ polkadot-node-subsystem = { path = "../subsystem" }
polkadot-node-subsystem-util = { path = "../subsystem-util" }
polkadot-primitives = { path = "../../primitives" }
sp-core = { git = "https://github.com/paritytech/substrate", branch = "master" }
thiserror = "1.0.22"
thiserror = "1.0.23"
[dev-dependencies]
polkadot-node-subsystem-test-helpers = { path = "../subsystem-test-helpers" }
......@@ -9,7 +9,7 @@ futures = "0.3.8"
futures-timer = "3.0.2"
kvdb = "0.7.0"
kvdb-rocksdb = "0.9.1"
thiserror = "1.0.22"
thiserror = "1.0.23"
tracing = "0.1.22"
tracing-futures = "0.2.4"
......
......@@ -16,7 +16,7 @@ statement-table = { package = "polkadot-statement-table", path = "../../../state
bitvec = { version = "0.17.4", default-features = false, features = ["alloc"] }
tracing = "0.1.22"
tracing-futures = "0.2.4"
thiserror = "1.0.22"
thiserror = "1.0.23"
[dev-dependencies]
sp-core = { git = "https://github.com/paritytech/substrate", branch = "master" }
......
......@@ -13,4 +13,4 @@ polkadot-node-subsystem = { path = "../../subsystem" }
polkadot-node-subsystem-util = { path = "../../subsystem-util" }
sp-keystore = { git = "https://github.com/paritytech/substrate", branch = "master" }
wasm-timer = "0.2.5"
thiserror = "1.0.22"
thiserror = "1.0.23"
......@@ -8,7 +8,7 @@ edition = "2018"
futures = "0.3.8"
tracing = "0.1.22"
tracing-futures = "0.2.4"
thiserror = "1.0.22"
thiserror = "1.0.23"
sp-keystore = { git = "https://github.com/paritytech/substrate", branch = "master" }
......
......@@ -9,7 +9,7 @@ bitvec = { version = "0.17.4", default-features = false, features = ["alloc"] }
futures = "0.3.8"
tracing = "0.1.22"
tracing-futures = "0.2.4"
thiserror = "1.0.22"
thiserror = "1.0.23"
polkadot-primitives = { path = "../../../primitives" }
polkadot-node-subsystem = { path = "../../subsystem" }
polkadot-node-subsystem-util = { path = "../../subsystem-util" }
......
......@@ -16,7 +16,7 @@ polkadot-node-network-protocol = { path = "../../network/protocol" }
polkadot-node-subsystem-util = { path = "../../subsystem-util" }
sp-core = { git = "https://github.com/paritytech/substrate", branch = "master", features = ["std"] }
sp-keystore = { git = "https://github.com/paritytech/substrate", branch = "master" }
thiserror = "1.0.22"
thiserror = "1.0.23"
[dev-dependencies]
polkadot-subsystem-testhelpers = { package = "polkadot-node-subsystem-test-helpers", path = "../../subsystem-test-helpers" }
......
......@@ -8,7 +8,7 @@ edition = "2018"
futures = "0.3.8"
tracing = "0.1.22"
tracing-futures = "0.2.4"
thiserror = "1.0.22"
thiserror = "1.0.23"
polkadot-primitives = { path = "../../../primitives" }
......
......@@ -6,7 +6,7 @@ edition = "2018"
[dependencies]
futures = "0.3.8"
thiserror = "1.0.21"
thiserror = "1.0.23"
tracing = "0.1.22"
tracing-futures = "0.2.4"
......
......@@ -58,7 +58,7 @@ hex-literal = "0.3.1"
tracing = "0.1.22"
tracing-futures = "0.2.4"
serde = { version = "1.0.118", features = ["derive"] }
thiserror = "1.0.21"
thiserror = "1.0.23"
# Polkadot
polkadot-node-core-proposer = { path = "../core/proposer" }
......
......@@ -13,7 +13,7 @@ parity-scale-codec = { version = "1.3.5", default-features = false, features = [
parking_lot = { version = "0.11.1", optional = true }
pin-project = "1.0.2"
streamunordered = "0.5.1"
thiserror = "1.0.22"
thiserror = "1.0.23"
tracing = "0.1.22"
tracing-futures = "0.2.4"
......
......@@ -26,7 +26,7 @@ sc-network = { git = "https://github.com/paritytech/substrate", branch = "master
smallvec = "1.5.1"
sp-core = { git = "https://github.com/paritytech/substrate", branch = "master" }
substrate-prometheus-endpoint = { git = "https://github.com/paritytech/substrate", branch = "master" }
thiserror = "1.0.22"
thiserror = "1.0.23"
log = "0.4.11"
[dev-dependencies]
......
......@@ -25,7 +25,7 @@ block-builder = { package = "sc-block-builder", git = "https://github.com/parity
trie = { package = "sp-trie", git = "https://github.com/paritytech/substrate", branch = "master" }
babe-primitives = { package = "sp-consensus-babe", git = "https://github.com/paritytech/substrate", branch = "master" }
prometheus-endpoint = { package = "substrate-prometheus-endpoint", git = "https://github.com/paritytech/substrate", branch = "master" }
thiserror = "1.0.22"
thiserror = "1.0.23"
[dev-dependencies]
sp-keyring = { git = "https://github.com/paritytech/substrate", branch = "master" }
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment